Willkommen Gast. Bitte einloggen oder registrieren. Haben Sie Ihre Aktivierungs E-Mail übersehen?
27.07.2021, 23:04:41

.
Einloggen mit Benutzername, Passwort und Sitzungslänge

Mitglieder
Statistiken
  • Beiträge insgesamt: 747126
  • Themen insgesamt: 60091
  • Heute online: 409
  • Am meisten online: 2287
  • (22.01.2020, 19:20:24)
Benutzer Online

Autor Thema: [erledigt] Editor Geany zeiht keine Unterstriche mehr an in der Standardansicht - Nur Zoom  (Gelesen 192 mal)

0 Mitglieder und 1 Gast betrachten dieses Thema.

Guten Tag
Schon seit längerem (ca. 1 Jahr) zeigt der Editor "Geany" in der normalen Ansicht keine Unterstriche mehr an.

Geany 1.3.6   (Standardschrift Monospace Regular)
Linux Mint 20.1 Cinnamon
Nvidia GraKa

Bei der Auswahl von anderen Schriften geht es teilweise, jedoch wird dann der Unterstrich oft bei verschiedenen anderen Vergrößerungsstufen nicht angezeigt.
Kennt wer dieses Problem? Was sind eure Lösungsvorschläge dazu?

Ich finde die Standardschrift am angenehmsten, daher suche ich etwas recht ähnliches.

edit:
hat evtl. mit der dahinterliegenden Software / dem dahinterliegenden Widget  Scintilla https://de.wikipedia.org/wiki/Scintilla_(Software) zu tun.
hier gibt es verschiedene geschlossene Bugreports dazu: https://github.com/geany/geany/issues/1387   https://github.com/geany/geany/issues/2502   https://github.com/geany/geany/issues/2466   https://github.com/geany/geany/issues/2287

Workaround:
Zitat
bencaradocdavies answer fixed my issue:

Tools > Configuration Files > filetypes.common

[styling]
line_height=0;2;
https://github.com/geany/geany/issues/1387#issuecomment-646408948
(Unterstrich fehlt dann allerdings trotzdem bei der zweiten Vergrößerungsstufe auch nicht)
« Letzte Änderung: 26.05.2021, 11:05:18 von macromat »


Danke, dann stelle ich das Thema mal auf erledigt. Das das Problem bekannt und Workarounds(die zumindest größtenteils die Probleme aus dem Weg schaffen) existieren. Sehr erfreulich auch: "This issue has been fixed in Geany 1.37"

edit:
Zumindest mit der Version 1.37.1 aus dem PPA "geany-dev/ppa" ist das Problem noch immer vorhanden (siehe Screenshot). Stellt man dann jedoch noch zusätzlich wie oben beschrieben die Linienhöhe auf "0;2;" taucht das Problem scheinbar nicht mehr auf.
« Letzte Änderung: 26.05.2021, 11:08:39 von macromat »